XOOPS 3.0 to support exclusively PHP5+
This is to announce that starting with Version 3.0, we'll be supporting exclusively PHP 5.2 and up.

The XOOPS 2.3 (check out the Alpha 2 Release) will be our last release series supporting PHP4.

There are several reasons for doing this:

1) we have limited resources, so it's hard to keep maintaining two different platforms.

2) PHP5 offers many technical advantages, among them:
  • Real opportunities for object oriented programming.
  • Improved performance and a more accurate memory usage.
  • Brand new XOOPS thinkings and development culture
  • Better security through the filter extension.
  • DateTime and DateTimeZone objects with methods to manipulate date/time information
  • ZIP extension for creating and editing zip files.
  • Hooks for tracking file upload progress were introduced (will let us write an accurate progress tracker for file uploads.)
We realize that currently there are still web hosts that might not support PHP5, however we believe that this is changing, and in the meantime, those of you who have only PHP4 will be still able to use XOOPS 2.3

This will also have impact on XOOPS Modules. We'll address it in two phases:

1) Identify most important XOOPS modules and work together with their developers to ensure PHP5 compatibility (while keeping PHP4 compatibility)

2) Provide a reference guide on how to rewrite XOOPS modules so they can run under XOOPS 3.0 in a PHP5 native mode to take full advantage of XOOPS 3.0 and PHP5.

This will be done by our Modules Team (in formation)

We would appreciate any and all feedback regarding the migration to PHP5. We're also looking for volunteers to help is in development of XOOPS 2.3, 3.0, and the module migration.
Migration for current PHP4 users
As always, those XOOPS users who are currently using PHP4 might ask the question - 'But what about me?'

Nothing to worry!!! We are developing now Version 2.3, which will be PHP4 compatible, and will have a lot of cool features, which will keep the PHP4 users happy for years to come. This will also give them enough time to migrate to PHP5 at their convenience, if they choose so. Of course, even when we focus on version 3.0, we'll keep be also updating the version 2.3 with all needed security patches.

XOOPS has a very strong commitment to ensure safe and secure upgrade path for our users. The 2.3 and 3.0 releases will continue on this path! We know that switching to another CMS could be very painful, regardless how easy it might seem in the beginning.
Only XOOPS is the true growth path for our users and we are committed to keep it that way!
For more information about the move to PHP5 please visit www.gophp5.org
Postar um comentário